curl --request GET \
--url https://api.tread-horizon.com/v1/companies/{company-id}/jobs/{job-id}/approval_status \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"biller_approved": true,
"company_admin_approved": true,
"driver_approved": true,
"foreman_approved": true,
"billing_approved_at": "2023-11-07T05:31:56Z",
"field_approved_at": "2023-11-07T05:31:56Z"
}
}Retrieve ApprovalStatus for a visible Job for a specific Company
curl --request GET \
--url https://api.tread-horizon.com/v1/companies/{company-id}/jobs/{job-id}/approval_status \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"biller_approved": true,
"company_admin_approved": true,
"driver_approved": true,
"foreman_approved": true,
"billing_approved_at": "2023-11-07T05:31:56Z",
"field_approved_at": "2023-11-07T05:31:56Z"
}
}Documentation Index
Fetch the complete documentation index at: https://docs.tread.ai/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.
"en"
OK
Approval status
Show child attributes